[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TStringField.SetFieldType

Set the field type

## Declaration

Source position: db.pas line 473

`public procedure TStringField.SetFieldType(`
`AValue: TFieldType`
`); override;`

## Description

SetFieldType is overridden in TStringField to check the data type more accurately (ftString and ftFixedChar). No extra functionality is added.

## See also

TField.DataType |  | The data type of the field.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.